{
  "name": "petitspas-backend",
  "version": "1.0.0",
  "description": "Backend pour l'application P'titsPas",
  "main": "dist/index.js",
  "scripts": {
    "start": "node dist/index.js",
    "dev": "ts-node-dev --respawn --transpile-only src/index.ts",
    "build": "tsc",
    "test": "jest",
    "init-admin": "ts-node src/scripts/initAdmin.ts"
  },
  "dependencies": {
    "@nestjs/common": "^11.1.0",
    "@prisma/client": "^6.7.0",
    "@types/jsonwebtoken": "^9.0.9",
    "bcrypt": "^5.1.1",
    "cors": "^2.8.5",
    "express": "^4.18.2",
    "helmet": "^7.1.0",
    "jsonwebtoken": "^9.0.2",
    "morgan": "^1.10.0"
  },
  "devDependencies": {
    "@types/bcrypt": "^5.0.2",
    "@types/cors": "^2.8.17",
    "@types/express": "^4.17.21",
    "@types/helmet": "^4.0.0",
    "@types/morgan": "^1.9.9",
    "@types/node": "^20.11.19",
    "prisma": "^6.7.0",
    "ts-node": "^10.9.2",
    "ts-node-dev": "^2.0.0",
    "typescript": "^5.3.3"
  }
}
